

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/mm.h |    4 ++++
 1 files changed, 4 insertions(+)

diff -puN include/linux/mm.h~legacy_va_layout-docs-fix include/linux/mm.h
--- 25/include/linux/mm.h~legacy_va_layout-docs-fix	2004-08-15 14:52:27.781280952 -0700
+++ 25-akpm/include/linux/mm.h	2004-08-15 14:52:55.338091680 -0700
@@ -26,7 +26,11 @@ extern void * high_memory;
 extern unsigned long vmalloc_earlyreserve;
 extern int page_cluster;
 
+#ifdef CONFIG_SYSCTL
 extern int sysctl_legacy_va_layout;
+#else
+#define sysctl_legacy_va_layout 0
+#endif
 
 #include <asm/page.h>
 #include <asm/pgtable.h>
_
